Ticket #31050

読み込み専用でのfileopen

Open Date: 2013-03-27 19:31 Last Update: 2014-11-30 00:44

Reporter:
Owner:
(None)
Status:
Closed
Component:
Priority:
5 - Medium
Severity:
5 - Medium
Resolution:
Fixed
File:
None
Vote
Score: 0
No votes
0.0% (0/0)
0.0% (0/0)

Details

fileopen では常に OF_READWRITE でファイルを開こうとする為、書き込み禁止のファイルを開く事ができない。

読み込み専用でファイルを開く手段が欲しい。

例えば以下のようにログファイルの内容を読んで、過去の出力まで遡って処理を行いたい時に有用。

loginfo logname
fileopen fh logname 0
do
	readln fh line
	if result then
		break
	endif
	~なんらかの処理~
loop

do
	wait "ほげ"
	if result then
		break
	endif
	~なんらかの処理~
loop

Ticket History (3/4 Histories)

2013-03-27 19:31 Updated by: doda
  • New Ticket "読み込み専用でのfileopen" created
2013-03-27 20:27 Updated by: (del#1144)
Comment

第4引数 "read only" の追加を検討

2014-11-20 23:27 Updated by: (del#1144)
Comment
2014-11-30 00:44 Updated by: (del#1144)
  • Ticket Close date is changed to 2014-11-30 00:44
  • Status Update from Open to Closed

Attachment File List

No attachments

Edit

You are not logged in. I you are not logged in, your comment will be treated as an anonymous post. » Login